import { storageApp } from './StorageHelper.ts';
import NavigationManager from '../../specs/NativeNavigationManager.ts';

export const pushByName = (name: string, params: any) => {
  storageApp
    .save({
      key: `MessageActivity_${name}`,
      data: params,
      expires: 1000 * 3600,
    })
    .finally(() => {
      NavigationManager.navigate(name);
    });
};
export const pop = (name: string) => {
  storageApp.remove({ key: `MessageActivity_${name}` }).finally(() => {
    NavigationManager.pop(name);
  });
};
